### Enumeration

# Pango BidiType

#### Declaration

    enum Pango.BidiType

#### Description [src]

`PangoBidiType` represents the bidirectional character type of a Unicode character as specified by the Unicode bidirectional algorithm.

Available since: | 1.22
Deprecated since: | 1.44
Use fribidi for this information.

#### Members

Name | Description
--- | ---
`PANGO_BIDI_TYPE_L` | Left-to-Right.
`PANGO_BIDI_TYPE_LRE` | Left-to-Right Embedding.
`PANGO_BIDI_TYPE_LRO` | Left-to-Right Override.
`PANGO_BIDI_TYPE_R` | Right-to-Left.
`PANGO_BIDI_TYPE_AL` | Right-to-Left Arabic.
`PANGO_BIDI_TYPE_RLE` | Right-to-Left Embedding.
`PANGO_BIDI_TYPE_RLO` | Right-to-Left Override.
`PANGO_BIDI_TYPE_PDF` | Pop Directional Format.
`PANGO_BIDI_TYPE_EN` | European Number.
`PANGO_BIDI_TYPE_ES` | European Number Separator.
`PANGO_BIDI_TYPE_ET` | European Number Terminator.
`PANGO_BIDI_TYPE_AN` | Arabic Number.
`PANGO_BIDI_TYPE_CS` | Common Number Separator.
`PANGO_BIDI_TYPE_NSM` | Nonspacing Mark.
`PANGO_BIDI_TYPE_BN` | Boundary Neutral.
`PANGO_BIDI_TYPE_B` | Paragraph Separator.
`PANGO_BIDI_TYPE_S` | Segment Separator.
`PANGO_BIDI_TYPE_WS` | Whitespace.
`PANGO_BIDI_TYPE_ON` | Other Neutrals.
`PANGO_BIDI_TYPE_LRI` | Left-to-Right isolate. Since 1.48.6
`PANGO_BIDI_TYPE_RLI` | Right-to-Left isolate. Since 1.48.6
`PANGO_BIDI_TYPE_FSI` | First strong isolate. Since 1.48.6
`PANGO_BIDI_TYPE_PDI` | Pop directional isolate. Since 1.48.6

#### Type functions

###### pango_bidi_type_for_unichar

Determines the bidirectional type of a character.

Available since: 1.22